const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const qa_scorecards = sequelize.define(
    'qa_scorecards',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

category_name: {
        type: DataTypes.TEXT,
      
      

      },

category_score: {
        type: DataTypes.DECIMAL,
      
      

      },

max_score: {
        type: DataTypes.DECIMAL,
      
      

      },

comments: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  qa_scorecards.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity















































//end loop



    db.qa_scorecards.belongsTo(db.qa_evaluations, {
      as: 'qa_evaluation',
      foreignKey: {
        name: 'qa_evaluationId',
      },
      constraints: false,
    });

    db.qa_scorecards.belongsTo(db.organizations, {
      as: 'organizations',
      foreignKey: {
        name: 'organizationsId',
      },
      constraints: false,
    });




    db.qa_scorecards.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.qa_scorecards.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return qa_scorecards;
};


